# This file is a template, and might need editing before it works on your project.
# see https://docs.gitlab.com/ce/ci/yaml/README.html for all available options

# you can delete this line if you're not using Docker
image: busybox:latest

stages:
  - test
  - deploy

tests:
  stage: test
  image: ubuntu:18.04
  script:
    - apt-get update
    - apt-get install -yq python3-minimal
    - python3 ./tools/config_style_checker.py
    - python3 ./tools/sqf_validator.py

deploy:
  stage: deploy
  image: ubuntu:18.04
  script:
    - apt-get update
    - apt-get install -yq lftp curl zip
    - sh internalscripts/presetcpy.sh "$CI_COMMIT_REF_NAME"
  only:
    - manual
